List stack profile shares
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares \
--header 'Authorization: Bearer <token>'{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_name": "<string>",
"organisation_slug": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
List stack profile shares
Lists the organisations a profile your organisation owns is shared with. Grants to deleted organisations stay listed with a null name and slug so they can be revoked.
GET
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
shares
List stack profile shares
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/shares \
--header 'Authorization: Bearer <token>'{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_name": "<string>",
"organisation_slug": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}